package com.qunzhixinxi.hnqz.common.taxhelper.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * {@code TaxHelperCertStatus} 税邦云认证枚举
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-02-24
 * @since ver.1.0.0
 */
@Getter
@AllArgsConstructor
public enum TaxHelperCertStatus {

	UN_CERT(10, "未认证"),                    // 未增员
	ADD_MEMBER(11, "已增员"),                 // 未认证未绑卡
	CHECKED_UNBIND(12, "已认证，未绑卡"),      // 已认证未绑卡
	CHECKING_BIND(13, "认证中已绑卡"),         // 认证中已绑卡
	CHECKING_UNBIND(14, "认证中未绑卡"),       // 认证中未绑卡
	CERT(15, "已认证"),                    	 // 已认证已绑卡
	UNCHECKED_BIND(16, "未认证已绑卡");        // 未认证已绑卡

	private int code;

	private String desc;
}
